Update Stripe Price
curl --request PATCH \
--url https://api.example.com/api/payments/stripe/{environment}/catalog/prices/{priceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"lookupKey": "pro_monthly"
}
'import requests
url = "https://api.example.com/api/payments/stripe/{environment}/catalog/prices/{priceId}"
payload = {
"active": True,
"lookupKey": "pro_monthly"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({active: true, lookupKey: 'pro_monthly'})
};
fetch('https://api.example.com/api/payments/stripe/{environment}/catalog/prices/{priceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"price": {
"priceId": "price_123",
"productId": "prod_123",
"active": true,
"currency": "usd",
"unitAmount": 2900,
"unitAmountDecimal": "2900",
"type": "recurring",
"lookupKey": "pro_monthly",
"billingScheme": "per_unit",
"taxBehavior": "unspecified",
"recurringInterval": "month",
"recurringIntervalCount": 1,
"metadata": {},
"syncedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}Stripe Payments
Update Stripe Price
Update mutable Stripe price fields, then mirror the price locally after Stripe succeeds.
PATCH
/
api
/
payments
/
stripe
/
{environment}
/
catalog
/
prices
/
{priceId}
Update Stripe Price
Authorizations
bearerAuthapiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment provider environment.
Available options:
test, live Stripe price ID.
Minimum string length:
1Body
application/json
Response
Price updated
Show child attributes
Show child attributes
⌘I